# $Revision: 1.38 $, $Date: 2010/01/08 09:35:54 $
#
# Conditional build:
%bcond_without	gtk		# don't build iodbcadm and GUI elements in drvproxy
#
Summary:	iODBC Driver Manager
Summary(pl.UTF-8):	Zarządca sterowników iODBC
Name:		libiodbc
Version:	3.52.7
Release:	3
License:	LGPL v2 or BSD
Group:		Libraries
Source0:	http://www.iodbc.org/downloads/iODBC/%{name}-%{version}.tar.gz
# Source0-md5:	ddbd274cb31d65be6a78da58fc09079a
Patch0:		%{name}-make-jN.patch
Patch1:		%{name}-build.patch
URL:		http://www.iodbc.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1.4p5
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

The iODBC Driver Manager was originally created by Ke Jin and is
currently maintained by OpenLink Software under an LGPL license.

%description -l pl.UTF-8
Zarządca sterowników iODBC jest wolną implementacją zarządcy
sterowników zgodną z SAG CLI i ODBC, pozwalającą programistom pisać
aplikacje zgodne z ODBC, które mogą łączyć się z różnymi bazami
z wykorzystaniem właściwych sterowników wewnętrznych.

Zarządca sterowników iODBC pierwotnie został napisany przez Ke Jina,
aktualnie jest rozwijany przez OpenLink Software.

%package devel
Summary:	Header files for iODBC development
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwoju aplikacji na iODBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains the header files needed to develop program that
use the driver manager.

%description devel -l pl.UTF-8
Zarządca sterowników iODBC jest wolną implementacją zarządcy
sterowników zgodną z SAG CLI i ODBC, pozwalającą programistom pisać
aplikacje zgodne z ODBC, które mogą łączyć się z różnymi bazami
z wykorzystaniem właściwych sterowników wewnętrznych.

Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania aplikacji
korzystających z zarządcy sterowników iODBC.

%package static
Summary:	Static version of iODBC libraries
Summary(pl.UTF-8):	Statyczna wersja bibliotek iODBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of iODBC libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek iODBC.

%package gtk
Summary:	GTK+-based GUI for iODBC administration
Summary(pl.UTF-8):	Oparty o GTK+ interfejs do administrowania iODBC
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK+-based GUI for iODBC administration.

%description gtk -l pl.UTF-8
Oparty o GTK+ graficzny interfejs do administrowania iODBC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I admin
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--with-layout=gentoo
	%{!?with_gtk:--disable-gui}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/iodbc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install etc/odbc.ini.sample $RPM_BUILD_ROOT%{_sysconfdir}/iodbc/odbc.ini
rm -rf $RPM_BUILD_ROOT/usr/share/libiodbc/samples/

# dlopened by lib*.so
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{iodbcadm,drvproxy}.{a,la}
# build process side-effects
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{iodbcadm,drvproxy}-gtk.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gtk -p /sbin/ldconfig
%postun	gtk -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE LICENSE.BSD NEWS README
%dir %{_sysconfdir}/iodbc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/iodbc/odbc.ini
%attr(755,root,root) %{_bindir}/iodbctest
%attr(755,root,root) %{_bindir}/iodbctestw
%attr(755,root,root) %{_libdir}/libiodbc.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libiodbc.so.2
%attr(755,root,root) %{_libdir}/libiodbcinst.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libiodbcinst.so.2
%{_mandir}/man1/iodbctest.1*
%{_mandir}/man1/iodbctestw.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iodbc-config
%attr(755,root,root) %{_libdir}/libiodbc.so
%attr(755,root,root) %{_libdir}/libiodbcinst.so
%{_libdir}/libiodbc.la
%{_libdir}/libiodbcinst.la
%{_includedir}/iodbc
%{_pkgconfigdir}/libiodbc.pc
%{_mandir}/man1/iodbc-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libiodbc.a
%{_libdir}/libiodbcinst.a

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iodbcadm-gtk
%attr(755,root,root) %{_libdir}/libiodbcadm.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libiodbcadm.so.2
%attr(755,root,root) %{_libdir}/libdrvproxy.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrvproxy.so.2
%attr(755,root,root) %{_libdir}/libiodbcadm.so
%attr(755,root,root) %{_libdir}/libdrvproxy.so
%{_mandir}/man1/iodbcadm-gtk.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libiodbc.spec,v $
Revision 1.38  2010/01/08 09:35:54  arekm
- rel 3; use gentoo layout which avoids conflicts with unixODBC

Revision 1.37  2010/01/08 09:14:09  arekm
- rel 2; conflicts with unixodbc

Revision 1.36  2009/10/31 09:31:00  cactus
- up to 3.52.7

Revision 1.35  2009/09/09 16:08:13  tommat
- added build patch to assure respecting config.h
- packaged files
- ghost soname symlinks
- rel 1

Revision 1.34  2008/03/27 21:28:11  sls
- added make-jN.patch

Revision 1.33  2007-11-04 12:42:10  qboosh
- up to 3.52.6
- use gtk+2

Revision 1.32  2007/03/13 19:12:55  qboosh
- mans don't need additional doc flag

Revision 1.31  2007/03/13 18:18:04  sls
- packaged .pc and some man files

Revision 1.30  2007/03/13 18:09:40  sls
- added info about unpackaged files

Revision 1.29  2007/03/13 17:15:19  sls
- ver. 3.52.5
- updated Source0 URL

Revision 1.28  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.26  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.25  2005/07/21 19:05:02  qboosh
- cleanup

Revision 1.24  2005/07/21 17:51:29  darekr
- new bcond style

Revision 1.23  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.22  2003/10/06 21:57:07  qboosh
- 3.51.1

Revision 1.21  2003/09/03 19:17:57  qboosh
- 3.51.0

Revision 1.20  2003/07/13 19:18:20  qboosh
- up to 3.0.6, added gtk subpackage

Revision 1.19  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/20 13:13:20  aflinta
- regenerate ac/am to proper build on athlon systems

Revision 1.16  2002/11/25 01:41:33  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %%doc

Revision 1.15  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/10/01 08:36:21  qboosh
- updated URL, added Source0 URL, pl translations, BR: autoconf

Revision 1.10  2001/09/29 00:26:22  blues
- release 2
- ac2.5 ready

Revision 1.9  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.4  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
